from pyt2s.services import stream_elements
from pydub import AudioSegment
from pydub.playback import play as p
import io


def play(script):
    play_with_voice(script, "Amy")


def play_with_voice(script, voice):
    data = stream_elements.requestTTS(script, voice)
    song = AudioSegment.from_file(io.BytesIO(data), format="mp3")
    p(song)
