import sys
version = ''.join(sys.version.split(" ")[0].split(".")[:-1])

import importlib.util

def load(x):
    spec = importlib.util.spec_from_file_location(x,f"e1/checker/{x}.cpython-{version}.pyc")
    mod = importlib.util.module_from_spec(spec)
    spec.loader.exec_module(mod)
    return mod

checker = load('checker')

check = checker.check
